<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_gravity="center"
    android:orientation="vertical"
    android:id="@+id/linear_layout"
    android:padding="10dp"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:minWidth="250dp">

    <TextView
        android:gravity="left|center_vertical|center_horizontal|center|start"
        android:layout_gravity="start"
        android:id="@+id/percent"
        android:paddingTop="10dp"
        android:visibility="gone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/printing" />

    <ProgressBar
        android:id="@+id/progress_percent"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:max="100"
        android:progress="0"
        style="?android:attr/progressBarStyleHorizontal" />

    <Space
        android:id="@+id/space_upper"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="25dp" />

    <ProgressBar
        android:layout_gravity="center"
        android:visibility="visible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content" />

    <Space
        android:layout_width="match_parent"
        android:layout_height="25dp" />
</LinearLayout>
